Bug 1222384 - pandoc-citeproc-0.5 fails with pandoc-1.13.2 with "Error reading csl file"
Summary: pandoc-citeproc-0.5 fails with pandoc-1.13.2 with "Error reading csl file"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pandoc-citeproc
Version: 22
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1223293
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 06:10 UTC by Sascha Zantis
Modified: 2015-12-11 03:21 UTC (History)
4 users (show)

Fixed In Version: pandoc-citeproc-0.7.4-1.fc23 pandoc-citeproc-0.7.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 01:51:29 UTC


Attachments (Terms of Use)

Description Sascha Zantis 2015-05-18 06:10:43 UTC
Description of problem:
I try to change my writing workflow from LaTeX to markdown for simply structured articles and read about it on http://nikolasander.com/writing-in-markdown/. The author provides a sample zip file with all files to compile markdown to pdf with pandoc, however, I also tried several cls files from zotero and the CSL github repository. Compiling the files does not work because pandoc-citeproc cannot read the csl.

> pandoc -S -o sample-paper.pdf --filter pandoc-citeproc sample-paper.md
pandoc-citeproc: error while parsing the XML string
pandoc: Error running filter pandoc-citeproc

Version-Release number of selected component (if applicable):
pandoc:
Name        : pandoc
Arch        : x86_64
Epoch       : 0
Version     : 1.13.2
Release     : 2.fc22

pandoc-citeproc:
Name        : pandoc-citeproc
Arch        : x86_64
Epoch       : 0
Version     : 0.5
Release     : 2.fc22

How reproducible:
Always


Steps to Reproduce:
1. Download and unzip the sample files from https://github.com/NikolaSander/NikolaSander.github.io/blob/master/images/sample-paper.zip?raw=true (or use any other sample files)
2. run pandoc -S -o sample-paper.pdf --filter pandoc-citeproc sample-paper.md (or equivalent commands)

Actual results:
pandoc-citeproc: error while parsing the XML string
pandoc: Error running filter pandoc-citeproc

Expected results:
A compiled pdf file and some other messages, no errors.

Additional info:
Current upstream pandoc-citeproc is 0.7.1 but this version has new dependencies (setenv and xml-conduit)

Comment 1 Jens Petersen 2015-05-18 10:30:42 UTC
Thanks a lot for reporting this.  Reproduced.

I am not sure yet what the problem is: it could be a version
incompatibility perhaps, yes.

It might be good to ask upstream if pandoc-citeproc-0.5 should
work with pandoc-1.13.2...

Comment 2 Jens Petersen 2015-05-18 10:35:20 UTC
Works okay with pandoc-1.12.3.3 and pandoc-citeproc-0.3.1 (F21).

Comment 3 Jens Petersen 2015-05-20 09:41:39 UTC
I tested pandoc-1.13.2 with (cabal installed) pandoc-citeproc-0.6
and that seems to work okay.  Latest 0.7.1 also seems okay.

0.6+ needs xml-conduit though: I put in a review request
but it may take a little time before someone reviews it.

(I installed using cabal sandbox btw.)

Comment 4 Sascha Zantis 2015-05-22 06:46:51 UTC
Thanks for your answers. 

Just for your information: I tried building a pandoc-citeproc-0.7.1 package myself. xml-conduit was no problem, but pandoc-citeproc failed when I used the spec file that is created by cabal-rpm (There was an error regarding tests, somehow related to the line "%ghc_fix_dynamic_rpath %{pkg_name} pandoc-citeproc")  but I was not able to resolve that problem. If you encounter these problems when you try to build it, would you tell me, how you solved them? Just out of personal interest.

Regards,
Sascha

Comment 5 Jens Petersen 2015-05-22 09:52:25 UTC
(In reply to Sascha Zantis from comment #4)
> Just for your information: I tried building a pandoc-citeproc-0.7.1 package
> myself. xml-conduit was no problem, but pandoc-citeproc failed when I used
> the spec file that is created by cabal-rpm (There was an error regarding
> tests, somehow related to the line "%ghc_fix_dynamic_rpath %{pkg_name}
> pandoc-citeproc")  but I was not able to resolve that problem.

Could you attach the error?

Comment 6 Jens Petersen 2015-05-22 10:04:37 UTC
Nevermind I tried with cabal-rpm and found the problem:

If you remove test-citeproc from the end of the %ghc_fix_dynamic_rpath
line, it should work okay.  I guess it is a cabal-rpm bug,
which I will report now in github.

Comment 7 Jens Petersen 2015-05-22 13:08:47 UTC
I fixed the cabal-rpm issue with
https://github.com/juhp/cabal-rpm/commit/f7c8ebf62fc4bde0fc0bf33d0d3fb7c069b130e1

(I just released 0.9.6 yesterday so it may be some days before
this fix reaches Hackage and the Fedora repos...)

Comment 8 Sascha Zantis 2015-05-22 17:28:53 UTC
Thanks for all these information.

It might not matter anymore since you update the package, but I tried building it again (for learning purposes) using this specfile: http://paste.fedoraproject.org/224755/23151701 (That is the one created by cabal-rpm with and I changed the line you mentioned), but I still receive an error. I just pasted the complete output of the build process: https://paste.fedoraproject.org/224757/14323156/

Comment 9 Jens Petersen 2015-05-25 02:34:43 UTC
(In reply to Sascha Zantis from comment #8)
> http://paste.fedoraproject.org/224755/23151701 (That is the one created by
> cabal-rpm with and I changed the line you mentioned), but I still receive an
> error. I just pasted the complete output of the build process:
> https://paste.fedoraproject.org/224757/14323156/

I think this is a different problem to your original report.

Right, in the Fedora package I disable the tests
since they assume the datafiles are already installed...

You can do that by changing "%bcond_without tests" to
"%bcond_with tests" near the top of the spec file.

Note also that cblrpm generates a "ghc-pandoc-citeproc" base package
by default - you may prefer to use "cblrpm spec -b pandoc-citeproc"
to get a pandoc-citeproc package.

Comment 10 Cristián Rojas 2015-05-29 22:45:09 UTC
I'm having the exact same problem over here.

Comment 11 Jens Petersen 2015-11-19 03:14:12 UTC
BTW best workaround I can suggest until we can build newer pandoc-citeproc in Fedora is to use my pandoc Copr repo:

https://copr.fedoraproject.org/coprs/petersen/pandoc

Comment 12 Jens Petersen 2015-11-24 05:15:15 UTC
This should be fixed now in Rawhide with pandoc-citeproc-0.7.4-1.fc24.

Updates coming for F23 and F22.

Comment 13 Fedora Update System 2015-11-24 10:15:46 UTC
ghc-xml-conduit-1.3.2-1.fc23 pandoc-citeproc-0.7.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f74c858168

Comment 14 Fedora Update System 2015-11-24 14:59:12 UTC
ghc-xml-conduit-1.3.2-1.fc22 pandoc-citeproc-0.7.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c9f9e2169

Comment 15 Fedora Update System 2015-11-25 02:54:47 UTC
ghc-hakyll-4.5.4.0-5.fc23, ghc-xml-conduit-1.3.2-1.fc23, pandoc-citeproc-0.7.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ghc-hakyll pandoc-citeproc ghc-xml-conduit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f74c858168

Comment 16 Fedora Update System 2015-11-26 02:27:06 UTC
ghc-hakyll-4.5.4.0-5.fc22, ghc-xml-conduit-1.3.2-1.fc22, pandoc-citeproc-0.7.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ghc-hakyll pandoc-citeproc ghc-xml-conduit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c9f9e2169

Comment 17 Fedora Update System 2015-12-11 01:51:21 UTC
ghc-hakyll-4.5.4.0-5.fc23, ghc-xml-conduit-1.3.2-1.fc23, pandoc-citeproc-0.7.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-11 03:21:21 UTC
ghc-hakyll-4.5.4.0-5.fc22, ghc-xml-conduit-1.3.2-1.fc22, pandoc-citeproc-0.7.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.